#include<iostream>
using namespace std;
int main(){
    int c;
    cin>>c;
    int h;
   int a[c]={};
   for(int i=0; i<c; i++){cin>>a[i];}
   for(int i=0; i<c; i++){
      for(int j=0; j<c; j++){
        if(a[i]<a[j]){
           h++;
        }
      }
   }
   cout<<h-1<<endl;
    return 0;
}
